USE [SageFrontOfficePruebas]
GO

/****** Object:  Table [RADIO].[TECH_ANALISIS]    Script Date: 16/06/2020 7:08:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [RADIO].[TECH_ANALISIS](
	[SOL_UID] [uniqueidentifier] NOT NULL,
	[TECH_ROLE1_STATE_ID] [int] NOT NULL,
	[TECH_ROLE2_STATE_ID] [int] NOT NULL,
	[TECH_ROLE4_STATE_ID] [int] NOT NULL,
	[TECH_ROLE8_STATE_ID] [int] NOT NULL,
	[TECH_ROLE_MINTIC_STATE_ID] [int] NOT NULL,
	[TECH_ROLE1_COMMENT] [nvarchar](250) NULL,
	[TECH_ROLE2_COMMENT] [nvarchar](250) NULL,
	[TECH_ROLE4_COMMENT] [nvarchar](250) NULL,
	[TECH_ROLE8_COMMENT] [nvarchar](250) NULL,
	[TECH_ROLE_MINTIC_COMMENT] [nvarchar](250) NULL,
	[TECH_ROLEX_CHANGED] [bit] NOT NULL,
	[TECH_PTNRS_UPDATED] [bit] NOT NULL,
	[TECH_CREATED_DATE] [datetime] NOT NULL,
	[TECH_MODIFIED_DATE] [datetime] NOT NULL,
 CONSTRAINT [PK_TECHANALISIS] PRIMARY KEY CLUSTERED 
(
	[SOL_UID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_Table_1_TEC_ROLE1_STATE_ID]  DEFAULT ((0)) FOR [TECH_ROLE1_STATE_ID]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_Table_1_TEC_ROLE2_STATE_ID]  DEFAULT ((0)) FOR [TECH_ROLE2_STATE_ID]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_Table_1_TEC_ROLE4_STATE_ID]  DEFAULT ((0)) FOR [TECH_ROLE4_STATE_ID]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_Table_1_TEC_ROLE8_STATE_ID]  DEFAULT ((0)) FOR [TECH_ROLE8_STATE_ID]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_TECH_ANALISIS_TECH_ROLE8M_STATE_ID]  DEFAULT ((0)) FOR [TECH_ROLE_MINTIC_STATE_ID]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_TECH_ANALISIS_TECH_ROLEX_CHANGE]  DEFAULT ((0)) FOR [TECH_ROLEX_CHANGED]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_TECH_ANALISIS_TECH_PTNRS_UPDATED]  DEFAULT ((0)) FOR [TECH_PTNRS_UPDATED]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_TECH_ANALISIS_TECH_DATE_INI]  DEFAULT (getdate()) FOR [TECH_CREATED_DATE]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] ADD  CONSTRAINT [DF_TECH_ANALISIS_TECH_MODIFIED_DATE]  DEFAULT (getdate()) FOR [TECH_MODIFIED_DATE]
GO

ALTER TABLE [RADIO].[TECH_ANALISIS]  WITH CHECK ADD  CONSTRAINT [FK_TECH_ANALISIS_SOLICITUDES] FOREIGN KEY([SOL_UID])
REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID])
GO

ALTER TABLE [RADIO].[TECH_ANALISIS] CHECK CONSTRAINT [FK_TECH_ANALISIS_SOLICITUDES]
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'0: SinDefinir
1: Dummy
2: Requerido
3: Subsanado   
4: Aceptado
5: Rechazado ' , @level0type=N'SCHEMA',@level0name=N'RADIO', @level1type=N'TABLE',@level1name=N'TECH_ANALISIS', @level2type=N'COLUMN',@level2name=N'TECH_ROLE1_STATE_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'0: SinDefinir
1: Aceptado
2: Devuelto' , @level0type=N'SCHEMA',@level0name=N'RADIO', @level1type=N'TABLE',@level1name=N'TECH_ANALISIS', @level2type=N'COLUMN',@level2name=N'TECH_ROLE2_STATE_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'0: SinDefinir
1: Aceptado
2: Devuelto' , @level0type=N'SCHEMA',@level0name=N'RADIO', @level1type=N'TABLE',@level1name=N'TECH_ANALISIS', @level2type=N'COLUMN',@level2name=N'TECH_ROLE4_STATE_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'0: SinDefinir
1: Aceptado
2: Devuelto' , @level0type=N'SCHEMA',@level0name=N'RADIO', @level1type=N'TABLE',@level1name=N'TECH_ANALISIS', @level2type=N'COLUMN',@level2name=N'TECH_ROLE8_STATE_ID'
GO


